aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash
diff options
context:
space:
mode:
authorMatus Fabian <matfabia@cisco.com>2016-03-08 14:01:32 +0100
committerGerrit Code Review <gerrit@fd.io>2016-03-11 12:23:01 +0000
commit5d5db63262e5c141e5eb435c65154cee214887af (patch)
tree80ec35562acf83c379df7401fb8a6598d2eaf003 /resources/libraries/bash
parent05eba892c7d2a778e78a950966fb1a6e0d68aa60 (diff)
Add KW to build QEMU 2.2.1 on node
Change-Id: I58271aff1ef558752f00593bbad5c3317d08288d Signed-off-by: Matus Fabian <matfabia@cisco.com>
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r--resources/libraries/bash/qemu_build.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/resources/libraries/bash/qemu_build.sh b/resources/libraries/bash/qemu_build.sh
new file mode 100644
index 0000000000..449cce664f
--- /dev/null
+++ b/resources/libraries/bash/qemu_build.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Copyright (c) 2016 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo
+echo Downloading QEMU source
+echo
+sudo rm -rf /tmp/qemu-2.2.1
+cd /tmp
+wget -q http://wiki.qemu-project.org/download/qemu-2.2.1.tar.bz2 || exit
+
+echo
+echo Extracting QEMU
+echo
+tar xjf qemu-2.2.1.tar.bz2 || exit
+rm qemu-2.2.1.tar.bz2
+
+echo
+echo Building QEMU
+echo
+cd qemu-2.2.1
+mkdir build
+cd build
+../configure --target-list=x86_64-softmmu || exit
+make -j`nproc` || exit
+
+echo
+echo QEMU ready
+echo